<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for selectedAppUser StructType
 * @subpackage Structs
 */
class SelectedAppUser extends AbstractStructBase
{
    /**
     * The appUserName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var XFkType
     */
    public $appUserName;
    /**
     * The content
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var XContent
     */
    public $content;
    /**
     * Constructor method for selectedAppUser
     * @uses SelectedAppUser::setAppUserName()
     * @uses SelectedAppUser::setContent()
     * @param XFkType $appUserName
     * @param XContent $content
     */
    public function __construct(XFkType $appUserName = null, XContent $content = null)
    {
        $this
            ->setAppUserName($appUserName)
            ->setContent($content);
    }
    /**
     * Get appUserName value
     * @return XFkType|null
     */
    public function getAppUserName()
    {
        return $this->appUserName;
    }
    /**
     * Set appUserName value
     * @param XFkType $appUserName
     * @return SelectedAppUser
     */
    public function setAppUserName(XFkType $appUserName = null)
    {
        $this->appUserName = $appUserName;
        return $this;
    }
    /**
     * Get content value
     * @return XContent|null
     */
    public function getContent()
    {
        return $this->content;
    }
    /**
     * Set content value
     * @param XContent $content
     * @return SelectedAppUser
     */
    public function setContent(XContent $content = null)
    {
        $this->content = $content;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return SelectedAppUser
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
